Skip to main content

POST v3/orders

POST 

/v3/orders

Create an order with its order items and addresses.

This endpoint enables a client to create an order with its orderItems and related addresses.

Request​

When creating an order the related resources must be included in the request under the included attribute of the order (see the example). For the resources deliveryAddress and billingAddress it is required to provide a provisional id to be able to link the correct address-resource in the appropriate relationship. For orderItems and the pickUpPoint this is not required as these are effectively redundant. Resource orderAttachment is optional and, if provided, has to be set in included array (see the example below).

Attachments​

It is possible to submit pdf documents which will be printed-out and placed in the parcel with the products. On order to make use of this print facility contact your account manager to arrange matters.

Response​

Upon successful creation of the orders and its orderItems the server responds with the complete order resource and related resources in a similar fashion as if invoked by a GET v3/orders/:id?include=orderItems,deliveryAddress,billingAddress,pickUpPoint.

Request​

Responses​

Upon successful creation of the orders and its orderItems the server responds with the complete order resource and related resources in a similar fashion as if invoked by a GET /v3/orders/{id}?include=orderItems,deliveryAddress,billingAddress,pickUpPoint.

Response Headers